#
# The MySQL database server configuration file.
#
# You can copy this to one of:
# - "/etc/mysql/my.cnf" to set global options,
# - "~/.my.cnf" to set user-specific options.
# 
# One can use all long options that the program supports.
# Run program with --help to get a list of available options and with
# --print-defaults to see which it would actually understand and use.
#
# For explanations see
# http://dev.mysql.com/doc/mysql/en/server-system-variables.html

#
# * IMPORTANT: Additional settings that can override those from this file!
#   The files must end with '.cnf', otherwise they'll be ignored.
#

!includedir /etc/mysql/conf.d/
!includedir /etc/mysql/mysql.conf.d/

[mysqld]

user                        = mysql
socket                      = /var/run/mysqld/mysqld.sock
port		                = 6033

bind-address                = 0.0.0.0
mysqlx-bind-address         = 0.0.0.0

log_bin	                    = /var/log/mysql/mysql-bin.log
log_error                   = /var/log/mysql/error.log

slow_query_log		= 1
slow_query_log_file	= /var/log/mysql/mysql-slow.log
long_query_time = 2
log-queries-not-using-indexes

server-id	                  = 2
binlog_expire_logs_seconds  = 2592000
max_binlog_size             = 100M
binlog_do_db                = mspr
binlog-format               = ROW

max_connections             = 151
max_user_connections        = 50